#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kstartperf (shared) #######################

tde_add_library( kstartperf SHARED AUTOMOC
  SOURCES libkstartperf.c
  VERSION 1.0.0
  LINK ${DL_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kstartperf (executable) ###################

tde_add_executable( kstartperf
  SOURCES kstartperf.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
